FreeMat

- Main Page
- Related Pages

vtkExtractDataSets

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractDataSets accepts a vtkHierarchicalBoxDataSet as input and extracts different datasets from different levels. The output is vtkHierarchicalBoxDataSet with same structure as the input with only the selected datasets passed through.

To create an instance of class vtkExtractDataSets, simply invoke its constructor as follows

      obj = vtkExtractDataSets

# Methods

The class vtkExtractDataSets has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractDataSets class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractDataSets = obj.NewInstance ()`
- `vtkExtractDataSets = obj.SafeDownCast (vtkObject o)`
- `obj.AddDataSet (int level, int idx)` - Add a dataset to be extracted.
- `obj.ClearDataSetList ()` - Remove all entries from the list of datasets to be extracted.